import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NavbarComponent } from './navbar/navbar.component';
import { NavmenuComponent } from './navmenu/navmenu.component';
import { MainmenuComponent } from './mainmenu/mainmenu.component';
import { OffersComponent } from './offers/offers.component';
import { IndexComponent } from './index/index.component';
import { moduleRouting } from './home.routing';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { DestinationComponent } from './destination/destination.component';
import { FlexLayoutModule } from '@angular/flex-layout';
import { CarouselDirective } from './../directives/carousel.directive';
import { CarouselComponent, CarouselItemElement } from './carousel/carousel.component';


@NgModule({
  declarations: [
    NavbarComponent,
    NavmenuComponent,
    MainmenuComponent,
    OffersComponent,
    IndexComponent,
    DestinationComponent,
    CarouselDirective,
    CarouselItemElement,
    CarouselComponent
  ],
  imports: [
    CommonModule,
    moduleRouting,
    FlexLayoutModule,
    BrowserAnimationsModule
  ]
})
export class HomeModule { }
